Total devices statistics
Get all customers total devices cnt
**Send this request:** open the Swagger UI of your region, [Europe (EU)](https://lorawan-ns-eu.tektelic.com/swagger-ui.html) or [North America (NA)](https://lorawan-ns-na.tektelic.com/swagger-ui.html), then **total-devices-statistics-controller** > `GET /api/statistics/all/customers/devices/total`.
Get all providers total devices cnt
**Send this request:** open the Swagger UI of your region, [Europe (EU)](https://lorawan-ns-eu.tektelic.com/swagger-ui.html) or [North America (NA)](https://lorawan-ns-na.tektelic.com/swagger-ui.html), then **total-devices-statistics-controller** > `GET /api/statistics/all/providers/devices/total`.
Get all sub customers total devices cnt
**Send this request:** open the Swagger UI of your region, [Europe (EU)](https://lorawan-ns-eu.tektelic.com/swagger-ui.html) or [North America (NA)](https://lorawan-ns-na.tektelic.com/swagger-ui.html), then **total-devices-statistics-controller** > `GET /api/statistics/all/subCustomers/devices/total`.
Get application devices cnt
**Send this request:** open the Swagger UI of your region, [Europe (EU)](https://lorawan-ns-eu.tektelic.com/swagger-ui.html) or [North America (NA)](https://lorawan-ns-na.tektelic.com/swagger-ui.html), then **total-devices-statistics-controller** > `GET /api/statistics/application/{applicationId}/devices/total`.
Get customer devices cnt
**Send this request:** open the Swagger UI of your region, [Europe (EU)](https://lorawan-ns-eu.tektelic.com/swagger-ui.html) or [North America (NA)](https://lorawan-ns-na.tektelic.com/swagger-ui.html), then **total-devices-statistics-controller** > `GET /api/statistics/customer/{customerId}/devices/total`.
Get provider devices cnt
**Send this request:** open the Swagger UI of your region, [Europe (EU)](https://lorawan-ns-eu.tektelic.com/swagger-ui.html) or [North America (NA)](https://lorawan-ns-na.tektelic.com/swagger-ui.html), then **total-devices-statistics-controller** > `GET /api/statistics/provider/{providerId}/devices/total`.
Get sub customer devices cnt
**Send this request:** open the Swagger UI of your region, [Europe (EU)](https://lorawan-ns-eu.tektelic.com/swagger-ui.html) or [North America (NA)](https://lorawan-ns-na.tektelic.com/swagger-ui.html), then **total-devices-statistics-controller** > `GET /api/statistics/subCustomer/{subCustomerId}/devices/total`.